FreeCalypso > hg > fc-magnetite
annotate scripts/config-headers.sh @ 673:62a5285e014a
Lorekeeping: allow tpudrv-leonardo.lib on Leonardo/Tango
Back in 2015 the Mother's idea was to produce a FreeCalypso development
board that would be a clone of TI Leonardo, including the original
quadband RFFE; one major additional stipulation was that this board
needed to be able to run original unmodified TCS211-20070608 firmware
with all blobs intact, with only minimal binary patches to main.lib
and tpudrv.lib. The necessary patched libs were produced at that time
in the tcs211-patches repository.
That plan was changed and we produced FCDEV3B instead, with Openmoko's
triband RFFE instead of Leonardo quadband, but when FC Magnetite started
in 2016, a TPUDRV_blob= provision was still made, allowing the possibility
of patching OM's tpudrv.lib for a restored Leonardo RFFE.
Now in 2020 we have FC Tango which is essentially a verbatim clone of
Leonardo core, including the original quadband RFFE. We have also
deblobbed our firmware so much that we have absolutely no real need
for a blob version of tpudrv.lib - but I thought it would be neat to put
the ancient TPUDRV_blob= mechanism (classic config) to its originally
intended use, just for the heck of it.
author | Mychaela Falconia <falcon@freecalypso.org> |
---|---|
date | Fri, 29 May 2020 03:55:36 +0000 |
parents | 92dbfa906f66 |
children |
rev | line source |
---|---|
6
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
1 #!/bin/sh |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
2 |
144
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
3 if [ $# != 2 ] |
6
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
4 then |
144
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
5 echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2 |
6
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
6 exit 1 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
7 fi |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
8 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
9 if [ -z "$TARGET" ] |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
10 then |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
11 echo "Error: TARGET= must be passed via environment" 1>&2 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
12 exit 1 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
13 fi |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
14 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
15 if [ -z "$BUILD_DIR" ] |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
16 then |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
17 echo "Error: BUILD_DIR= must be passed via environment" 1>&2 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
18 exit 1 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
19 fi |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
20 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
21 set -e |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
22 |
14
86e83045be37
scripts/config-headers.sh: allow this script to be re-run
Mychaela Falconia <falcon@freecalypso.org>
parents:
6
diff
changeset
|
23 rm -rf $BUILD_DIR/config |
144
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
24 cp -r cfg-headers/base $BUILD_DIR/config |
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
25 cp cfg-headers/$1/* $BUILD_DIR/config |
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
26 cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h |
602
92dbfa906f66
fc-target.cfg config header renamed to more sensible fc-target.h
Mychaela Falconia <falcon@freecalypso.org>
parents:
144
diff
changeset
|
27 cp targets/$TARGET.h $BUILD_DIR/config/fc-target.h |